<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::applicationUtilities::resources::audio::AudioFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">applicationUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources.html">resources</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html">audio</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html">AudioFactory</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::applicationUtilities::resources::audio::AudioFactory Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_audio_factory_8h_source.html">AudioFactory.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::applicationUtilities::resources::audio::AudioFactory:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_inherit__map" id="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::audio\l::AudioFactoryInterface" alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::applicationUtilities::resources::audio::AudioFactory:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_coll__map" id="alexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::audio\l::AudioFactoryInterface" alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab1af63cf9bc63eff5bc35ffb5f5697f5"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_alerts_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html#ab1af63cf9bc63eff5bc35ffb5f5697f5">alerts</a> () const override</td></tr>
<tr class="separator:ab1af63cf9bc63eff5bc35ffb5f5697f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add46bf815153b3d6b5061f9808fa07e0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_notifications_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::NotificationsAudioFactoryInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html#add46bf815153b3d6b5061f9808fa07e0">notifications</a> () const override</td></tr>
<tr class="separator:add46bf815153b3d6b5061f9808fa07e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ae3a9a9742904502d50e83c674d333"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html#a70ae3a9a9742904502d50e83c674d333">communications</a> () const override</td></tr>
<tr class="separator:a70ae3a9a9742904502d50e83c674d333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a></td></tr>
<tr class="memitem:a59aa5851c1cdaad9db340d9353c16e26 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#a59aa5851c1cdaad9db340d9353c16e26">~AudioFactoryInterface</a> ()=default</td></tr>
<tr class="separator:a59aa5851c1cdaad9db340d9353c16e26 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A class that constructs an object to create unique streams to the audio data for the Alerts. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab1af63cf9bc63eff5bc35ffb5f5697f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1af63cf9bc63eff5bc35ffb5f5697f5">&#9670;&nbsp;</a></span>alerts()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_alerts_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface</a> &gt; alexaClientSDK::applicationUtilities::resources::audio::AudioFactory::alerts </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This shares a factory that produces audio streams for the alerts components. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#a3aa7c6be32e488cd4aec07a49e92c545">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a>.</p>

</div>
</div>
<a id="a70ae3a9a9742904502d50e83c674d333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ae3a9a9742904502d50e83c674d333">&#9670;&nbsp;</a></span>communications()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a> &gt; alexaClientSDK::applicationUtilities::resources::audio::AudioFactory::communications </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This shares a factory that produces audio streams for the communications components. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#aa5b10ce4c0dd6ed31718e9d111659a9b">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a>.</p>

</div>
</div>
<a id="add46bf815153b3d6b5061f9808fa07e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add46bf815153b3d6b5061f9808fa07e0">&#9670;&nbsp;</a></span>notifications()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_notifications_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::NotificationsAudioFactoryInterface</a> &gt; alexaClientSDK::applicationUtilities::resources::audio::AudioFactory::notifications </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This shares a factory that produces audio streams for the notifications components. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#ae81310758ee5b95c48c332bf419edfbc">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/include/Audio/<a class="el" href="_audio_factory_8h_source.html">AudioFactory.h</a></li>
<li>/workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/src/<a class="el" href="_audio_factory_8cpp.html">AudioFactory.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
